IMX-USB-LOADER(1)

NAME
imx_usb - program to upload an u-boot image to the device and run

SYNOPSIS

imx_usb [-v | --verify] [-d | --debugmode] [-c DIR | --configdir=DIR] [-b NUM | --bus=NUM] [-D NUM | --device=NUM] {FILE} [-lLOADADDR] [-sSIZE]

imx_usb [{-h | --help}]

DESCRIPTION

This manual page documents briefly the imx_usb command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

imx_usb is a program that can upload an image to the device memory and run. Thus it is able to de-brick the device supported by this tool.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-v, --verify
    Verify downloaded data.

-d, --debugmode
    Enable debug logs.

-c DIR, --configdir=DIR
    Reading configuration directory from non standard directory.

-b NUM, --bus=NUM
    Filter bus number.

-D NUM, --device=NUM
    Filter device address.

-h, --help
    Show summary of options.

FILES

/usr/share/imx-usb-loader/imx-loader.d/*.conf
    The system-wide configuration file to control the behaviour of imx_usb.

DIAGNOSTICS

The following diagnostics may be issued on stderr:

no matching USB device found.
    The supported device cannot be found on USB bus. Use the --debugmode option, to get more info.

imx_usb provides some return codes, that can be used in scripts:
Code | Diagnostic
0 | Program exited successfully.
1 | Something wrong.

BUGS

The program is currently limited to only work with the libusb-1.0 library.

The upstreams BTS can be found at https://github.com/boundarydevices/imx_usb_loader/issues.

SEE ALSO

imx_uart(1)

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2017 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2.1 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU Lesser General Public License can be found in /usr/share/common-licenses/LGPL-2.1.